=== debian/changelog ===
lemonldap-ng (2.17.0+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Fri, 01 Sep 2023 16:31:53 +0400

lemonldap-ng (2.17.0+ds-1) unstable; urgency=medium

  * New upstream version 2.17.0+ds
  * Add dependency to libnet-cidr-perl
  * Update copyright
  * Various little fixes
  * Drop reproducible-doc.patch, now included in upstream
  * Drop fix-test-for-perl-5.38.patch, now included in upstream
  * Update cache location from /var/lib/lemonldap-ng/cache to
    /var/cache/lemonldap-ng

 -- Yadd <yadd@debian.org>  Fri, 01 Sep 2023 11:54:33 +0400
