## lemonldap-ng 2.17.0+ds2

=== debian/changelog ===
lemonldap-ng (2.17.0+ds2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Drop patches included in testing
  * Drop reproducible hook for doc

 -- Yadd <yadd@debian.org>  Sun, 10 Sep 2023 11:52:39 +0400

lemonldap-ng (2.17.0+ds2-1) unstable; urgency=medium

  * Disable cron.d files if systemd
  * Drop useless Breaks+Replace lemonldap-ng-fastcgi-server < 2.0.5~
  * Update excluded files list and repack

 -- Yadd <yadd@debian.org>  Fri, 08 Sep 2023 12:06:23 +0400

lemonldap-ng (2.0.16+ds-4~bpo11+2) bullseye-backports; urgency=medium

  * Fix incorrect parsing of OP-provided acr
  * Fix regression introduced in 2.16.1 that render viewer unusable

 -- Yadd <yadd@debian.org>  Sat, 13 May 2023 12:38:34 +0400

lemonldap-ng (2.0.16+ds-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Fri, 10 Feb 2023 07:44:29 +0400

lemonldap-ng (2.0.15.1+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Thu, 06 Oct 2022 15:21:37 +0200

lemonldap-ng (2.0.14+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Fri, 25 Feb 2022 06:11:42 +0100

lemonldap-ng (2.0.13+ds-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Mon, 11 Oct 2021 06:45:59 +0200

lemonldap-ng (2.0.13+ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Thu, 02 Sep 2021 08:04:39 +0200

lemonldap-ng (2.0.13+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Mon, 23 Aug 2021 11:59:18 +0200
