=== debian/control ===
--- 
+++ 
@@ -104,10 +104,10 @@
 
 Package: lemonldap-ng-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: foreign
 Description: Lemonldap::NG Web-SSO system documentation
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -150,11 +150,11 @@
 
 Package: liblemonldap-ng-ssoaas-apache-client-perl
 Architecture: all
+Multi-Arch: foreign
 Section: web
 Depends: ${misc:Depends},
          ${perl:Depends}
 Breaks: liblemonldap-ng-handler-perl (<< 2.0.14~)
-Multi-Arch: foreign
 Description: Lemonldap::NG SSOaaS client for Apache
  Lemonldap::NG is a complete Web-SSO system that provides a SSO-as-a-Service
  system, natively usable with Nginx. Lemonldap::NG::SSOaaS::Apache::Client
@@ -190,8 +190,6 @@
 Suggests: libcache-memcached-perl,
           libdigest-hmac-perl,
           libsoap-lite-perl
-Breaks: lemonldap-ng-fastcgi-server (<< 2.0.5~)
-Replaces: lemonldap-ng-fastcgi-server (<< 2.0.5~)
 Description: Lemonldap::NG handler part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -263,3 +261,4 @@
  OpenID-Connect, CAS and SAML systems as identity or service provider. It can
  also be used as proxy between those federation systems.
  .
+ It manages both authentication and authorization and provides headers for
