## lemonldap-ng 2.17.1+ds

=== debian/changelog ===
lemonldap-ng (2.17.1+ds-1) unstable; urgency=medium

  * New upstream version 2.17.1+ds (Closes: #1052010)
  * Update copyright
  * Mark fastcgi test as "skippable" and skip it when daemon didn't start

 -- Yadd <yadd@debian.org>  Fri, 29 Sep 2023 09:56:38 +0400
