## lemonldap-ng 2.17.2+ds

=== debian/changelog ===
lemonldap-ng (2.17.2+ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Mon, 20 Nov 2023 10:45:25 +0400

lemonldap-ng (2.17.2+ds-2) unstable; urgency=medium

  * Drop useless dependency to libjs-cryptojs

 -- Yadd <yadd@debian.org>  Thu, 16 Nov 2023 09:59:50 +0400

lemonldap-ng (2.17.2+ds-1) unstable; urgency=medium

  * New upstream version 2.17.2+ds

 -- Yadd <yadd@debian.org>  Wed, 15 Nov 2023 10:02:48 +0400
