## lemonldap-ng 2.18.1+ds

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,9 @@
 # Compression
 JSCOMPRESS=$(PROD)
 CSSCOMPRESS=$(PROD)
+
+# Perltidy version
+PERLTIDY_VERSION=20220217
 
 # External commands
 PERL=$$(which perl)
