=== debian/changelog ===
lemonldap-ng (2.18.1+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Sat, 23 Dec 2023 10:30:24 +0400

lemonldap-ng (2.18.1+ds-1) unstable; urgency=medium

  * Add recommended dependencies to libcrypt-jwt-perl and libdigest-hmac-perl
  * New upstream version 2.18.1+ds
  * Refresh patches
  * Dependencies:
    + add recommended dependency to libdata-password-zxcvbn-perl
    + add dependency to libconvert-base32-perl, libdigest-hmac-perl and
      libhtml-formattext-withlinks-perl
  * Add debug for fastcgiserver test
  * Drop drop-network-test.patch and use new SKIP_NETWORK_TEST environment
    variable

 -- Yadd <yadd@debian.org>  Sat, 23 Dec 2023 07:23:55 +0400

lemonldap-ng (2.17.2+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Mon, 20 Nov 2023 06:48:15 +0400
