## lemonldap-ng 2.18.2+ds

=== debian/changelog ===
lemonldap-ng (2.18.2+ds-1) unstable; urgency=medium

  * New upstream version 2.18.2+ds

 -- Yadd <yadd@debian.org>  Wed, 07 Feb 2024 11:07:02 +0400
