=== debian/control ===
--- 
+++ 
@@ -20,11 +20,13 @@
                      libconfig-inifiles-perl <!nocheck>,
                      libconvert-base32-perl <!nocheck>,
                      libconvert-pem-perl <!nocheck>,
+                     libcrypt-jwt-perl <!nocheck>,
                      libcrypt-openssl-rsa-perl <!nocheck>,
                      libcrypt-openssl-x509-perl <!nocheck>,
                      libcrypt-urandom-perl <!nocheck>,
                      libcrypt-rijndael-perl <!nocheck>,
                      libcrypt-u2f-server-perl <!nocheck>,
+                     libdata-password-zxcvbn-perl <!nocheck>,
                      libdatetime-format-rfc3339-perl <!nocheck>,
                      libdbd-sqlite3-perl <!nocheck>,
                      libdbi-perl <!nocheck>,
@@ -34,6 +36,7 @@
                      libglib-perl <!nocheck>,
                      libgssapi-perl <!nocheck>,
                      libhash-merge-simple-perl <!nocheck>,
+                     libhtml-formattext-withlinks-perl <!nocheck>,
                      libhtml-template-perl <!nocheck>,
                      libimage-magick-perl <!nocheck>,
                      libio-string-perl,
@@ -45,6 +48,7 @@
                      liblwp-protocol-psgi-perl,
                      libmime-tools-perl <!nocheck>,
                      libmouse-perl,
+                     libnet-cidr-lite-perl <!nocheck>,
                      libnet-cidr-perl <!nocheck>,
                      libnet-ldap-perl <!nocheck>,
                      libio-socket-timeout-perl <!nocheck>,
@@ -258,7 +262,3 @@
 Description: Lemonldap::NG common files
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
- OpenID-Connect, CAS and SAML systems as identity or service provider. It can
- also be used as proxy between those federation systems.
- .
- It manages both authentication and authorization and provides headers for
