=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 CONFDIR=/etc/lemonldap-ng
 export LLNG_SKIP_GPG_TEST=1
+export SKIP_NETWORK_TESTS=1
 
 %:
 	dh $@
@@ -23,6 +24,12 @@
 override_dh_auto_build:
 	# Generate files excluded from import
 	LANG=C $(MAKE) all
+	# Extract JOSN from doc index
+	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
+	# Sort JSON, including arrays
+	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
+	# Insert new JSON in doc index
+	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js
 
 override_dh_auto_install:
 	$(MAKE) install \
