=== debian/watch ===
version=4
opts="dversionmangle=s/[\+~](debian|dfsg|ds|deb)(\.)?(\d+)?$//,repacksuffix=+ds,repack" \
 https://releases.ow2.org/lemonldap/ lemonldap-ng-(\d[\d\.]+)\.tar\.gz
