## lemonldap-ng 2.19.0+ds

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 NGINX=/usr/sbin/nginx
 UGLIFYJSVERSION:=$(shell uglifyjs --version|perl -pe 's/^[^\d]*(\d).*$$/$$1/')
 CHOWN=chown
+CHGRP=chgrp
 CHMOD=chmod
 
 # Default directories install
@@ -53,6 +54,8 @@
 BINDIR=$(LMPREFIX)/bin
 SBINDIR=$(LMPREFIX)/sbin
 INITDIR=$(LMPREFIX)/etc/init.d
+UNITDIR=$(LMPREFIX)/usr/lib/systemd/system
+TMPFILESDIR=$(LMPREFIX)/usr/lib/tmpfiles.d
 ETCDEFAULTDIR=$(LMPREFIX)/etc/default
 DATADIR=$(LMPREFIX)/data
 
@@ -162,6 +165,8 @@
 RUWSGIYAMLDIR=$(DESTDIR)/$(UWSGIYAMLDIR)
 RLLNGAPPDIR=$(DESTDIR)/$(LLNGAPPDIR)
 RINITDIR=$(DESTDIR)/$(INITDIR)
+RUNITDIR=$(DESTDIR)/$(UNITDIR)
+RTMPFILESDIR=$(DESTDIR)/$(TMPFILESDIR)
 RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
 RDATADIR=$(DESTDIR)/$(DATADIR)
 RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
@@ -349,6 +354,3 @@
 # Perl libraries configuration
 
 json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.8p debian/*cron*
-	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi
-
-debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d
