=== debian/changelog ===
lemonldap-ng (2.19.0+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Fri, 03 May 2024 10:09:52 +0400

lemonldap-ng (2.19.0+ds-2) unstable; urgency=medium

  * Ignore some pure coverage test during autopkgtest

 -- Yadd <yadd@debian.org>  Tue, 30 Apr 2024 21:59:54 +0400

lemonldap-ng (2.19.0+ds-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Add recreated files with constants to debian/clean. (Closes: #1045890)

  [ Yadd ]
  * Add upstream GPG keys
  * Require pgp signature when downloading
  * New upstream version 2.19.0+ds
  * Unfuzz patches
  * Update install

 -- Yadd <yadd@debian.org>  Tue, 30 Apr 2024 21:33:34 +0400

lemonldap-ng (2.18.2+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Yadd <yadd@debian.org>  Sun, 11 Feb 2024 10:12:27 +0400
