## lemonldap-ng 2.19.1+ds

=== debian/changelog ===
lemonldap-ng (2.19.1+ds-4) unstable; urgency=medium

  * Fix test when local LDAP is running (replaces 2.19.1+ds-3 changes)
  * Drop link to libcrypt-u2f-server-perl (U2F is no more supported by Chrome
    and replaced by WebAuthn))

 -- Yadd <yadd@debian.org>  Thu, 25 Jul 2024 07:33:30 +0400

lemonldap-ng (2.19.1+ds-3) unstable; urgency=medium

  * Drop test t/41-Captcha-with-LDAP.t

 -- Yadd <yadd@debian.org>  Sun, 21 Jul 2024 09:42:10 +0400

lemonldap-ng (2.19.1+ds-2) unstable; urgency=medium

  * Declare first configuration file as conffile (Closes: #1008820)

 -- Yadd <yadd@debian.org>  Tue, 16 Jul 2024 07:34:32 +0400

lemonldap-ng (2.19.1+ds-1) unstable; urgency=medium

  * Install missing llngUserAttributes command
  * New upstream version 2.19.1+ds

 -- Yadd <yadd@debian.org>  Mon, 15 Jul 2024 19:27:59 +0400
