## lemonldap-ng 2.19.2%2Bds

=== debian/rules ===
--- 
+++ 
@@ -24,12 +24,6 @@
 override_dh_auto_build:
 	# Generate files excluded from import
 	LANG=C $(MAKE) all
-	# Extract JOSN from doc index
-	cat doc/pages/documentation/current/searchindex.js | perl -pe 's/^.*?(\{.*\}).*?$$/$$1/' >debian/index.json
-	# Sort JSON, including arrays
-	jq --compact-output 'walk(if type == "array" then sort else if type == "object" then to_entries | sort_by(.key) | from_entries else . end end)' > debian/searchindex.js <debian/index.json
-	# Insert new JSON in doc index
-	perl -000 -i -pe 'BEGIN{open F,"debian/searchindex.js";$$j=<F>;chomp $$j;close F}s/\{.*\}/$$j/' doc/pages/documentation/current/searchindex.js
 
 override_dh_auto_install:
 	$(MAKE) install \
@@ -68,6 +62,7 @@
 		yui-compressor $$i >$${i%%.css}.min.css; \
 		echo done; \
 	done
+	rm -rf $(TMP)/usr/share/lemonldap-ng/usr/lib/systemd
 
 override_dh_compress:
 	dh_compress -X favicon.ico
